Welcome to the New BigPanda API Documentation
set replaces the entire role list. add appends without duplicates. remove removes the specified roles.roleIds must belong to valid roles within your organization.🚧 Authentication All BigPanda APIs require Bearer Token Authorization in the call headers. This API uses the User API Key type of Authorization token.
📘 Required permissions Your account must have the User Managementpermission set toEditto use this endpoint.
❗ Rate limitations To maintain quality of service, the Biggy API is limited to 100 requests per minute. Additional requests will return a 429 response code and the request will need to be retried.
curl --location --request PATCH 'https://api.biggy.io/users//roles' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"action": "add",
"roleIds": "65f0c8f8d73b2b0012ab1123"
}'{
"user": {
"id": "65f0c8f8d73b2b0012ab3456",
"fullName": "Jane Doe",
"email": "jane@example.com",
"roles": [
"65f0c8f8d73b2b0012ab1111",
"65f0c8f8d73b2b0012ab2222"
]
},
"roles": [
{
"id": "65f0c8f8d73b2b0012ab1111",
"name": "System Admin",
"type": "system",
"permissions": []
},
{
"id": "65f0c8f8d73b2b0012ab2222",
"name": "Analyst",
"type": "organization",
"permissions": []
}
]
}